<!--
 * @Author: zxq
 * @Date: 2022-01-21 15:55:24
 * @LastEditors: zxq
 * @LastEditTime: 2022-05-25 09:21:26
 * @Description: Description
 * @FilePath: \qyp-plat\src\components\fl-status.vue
-->
<template>
    <div>
        <!-- 优异 -->
        <svg
            class="icon"
            v-if='status==1'
            aria-hidden="true"
            style="width:16px;height:16px;"
        >
            <use  xlink:href="#icon-youyi"></use>
        </svg>
        <!-- 预警 -->
        <svg
            v-else-if="status==2"
            class="icon"
            aria-hidden="true"
            style="width:16px;height:16px;"
        >
            <use  xlink:href="#icon-yujing"></use>
        </svg>
        <!-- 风险 -->
        <el-tooltip
            v-else-if="status==3"
            class="item"
            effect="dark"
            :content="warningContent"
            placement="bottom"
        >
            <svg
                class="icon"
                aria-hidden="true"
                style="width:16px;height:16px;"
            >       
                <use xlink:href="#icon-fengxian"></use>
            </svg>
        </el-tooltip>
    </div>
</template>

<script>
export default {
    props:{
      status:{
          type:Number,
          default:1
      },
      warningContent:{
          type:String,
          default:'预警：500 - 900'
      }
    },
    data() {
        return {

        };
    },
    created() {

    },
    mounted() {

    },
    methods: {

    }
};
</script>

<style scoped lang="scss">

</style>
